> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# importRegularDifferentialPayrollData

> 
The `importRegularDifferentialPayrollData` API adds regular differential payroll data for processing.

### What it does:

- Adds payroll data with differential pay rates for employees
- Allows varying pay rate using a **payCode** for employees who operate in different roles with different pay scales

### Notes:
- To allow `miscellaneousStateTaxes` to be imported to payroll, please refer to the `addEmployeeMiscellaneousStateTax` API
- An employee's available miscellaneousStateTax items can be retrieved using 'getEmployeeMiscellaneousStateTaxforPayroll`



## OpenAPI

````yaml post /payroll#importRegularDifferentialPayrollData
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll#importRegularDifferentialPayrollData:
    post:
      tags: []
      summary: importRegularDifferentialPayrollData
      description: >-

        The `importRegularDifferentialPayrollData` API adds regular differential
        payroll data for processing.


        ### What it does:


        - Adds payroll data with differential pay rates for employees

        - Allows varying pay rate using a **payCode** for employees who operate
        in different roles with different pay scales


        ### Notes:

        - To allow `miscellaneousStateTaxes` to be imported to payroll, please
        refer to the `addEmployeeMiscellaneousStateTax` API

        - An employee's available miscellaneousStateTax items can be retrieved
        using 'getEmployeeMiscellaneousStateTaxforPayroll`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollData:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      basePay:
                        type: array
                        items:
                          type: object
                          properties:
                            payCode:
                              type: string
                            payRate:
                              type: integer
                            payHours:
                              type: integer
                            multiplier:
                              type: integer
                            amount:
                              type: integer
                          required:
                            - payCode
                            - payRate
                            - payHours
                            - amount
                      additionalCompensations:
                        type: array
                        items:
                          type: object
                          properties:
                            description:
                              type: string
                            amount:
                              type: integer
                      deductions:
                        type: array
                        items:
                          type: object
                          properties:
                            description:
                              type: string
                            amount:
                              type: integer
                          required:
                            - description
                            - amount
                      reimbursements:
                        type: array
                        items:
                          type: object
                          properties:
                            reimbursementType:
                              type: string
                            amount:
                              type: integer
                          required:
                            - reimbursementType
                            - amount
                      miscellaneousStateTaxes:
                        type: array
                        items:
                          type: object
                          properties:
                            stateCode:
                              type: string
                            taxName:
                              type: string
                            taxDetails:
                              type: array
                              items:
                                type: object
                                properties:
                                  riskClassName:
                                    type: string
                                  noOfHours:
                                    type: number
                    required:
                      - userId
                      - firstName
                      - lastName
                      - basePay
              required:
                - method
                - companyId
                - payPeriodId
                - payrollData
            example:
              method: importRegularDifferentialPayrollData
              companyId: 68D29B82-86FA-4B51-B16E-01346BD3F43B
              payPeriodId: 2412217E-E92A-46D5-A359-DF715FBF28CD
              payrollData:
                - userId: CE934E2C-00A5-46A1-B925-CBD97BF07AF8
                  firstName: Emmanuel
                  lastName: Golden
                  basePay:
                    - payHours: 8.75
                      payRate: 0
                      payCode: BASE_PAY
                      multiplier: 1
                      amount: 0
                    - payHours: 0.75
                      payRate: 20
                      payCode: '1151'
                      multiplier: 1
                      amount: 15
                  additionalCompensations:
                    - amount: 310
                      description: Van Pool & Transit Passes
                  deductions:
                    - description: Qualified Parking Sup
                      amount: 120
                  reimbursements:
                    - reimbursementType: GYM
                      amount: 120
                  miscellaneousStateTaxes:
                    - stateCode: WA
                      taxName: Washington L&I
                      taxDetails:
                        - riskClassName: Shop - Intra State Trucking
                          noOfHours: 6
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  importDifferntiaPayrollData:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - importDifferntiaPayrollData
              examples:
                '1':
                  summary: Success
                  value:
                    importDifferntiaPayrollData:
                      status: Ready
                      message: Imported Differential Payroll Data Successfully
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid Payroll Details
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````